org.vishia.commander

## Class FcmdKeyActions

- java.lang.Object
- - org.vishia.commander.FcmdKeyActions

-     public class FcmdKeyActions
      extends java.lang.Object

  This class handles all actions of common keys. Most of the keys are common. Hartmut Schorrig

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `keyCreateFavorite`
    `(package private) int` | `keyEntryDir` Show files in the current selected dir.
    `(package private) int` | `keyExecuteAsJavaClass`
    `(package private) int` | `keyExecuteInJcmd`
    `(package private) int` | `keyExecuteInShell`
    `(package private) int` | `keyExecuteInShellOpened`
    `(package private) int` | `keyExecuteStartProcess`
    `(package private) int` | `keyLeaveDir` Show files in the parent dir, like cd ..
    `(package private) int` | `keyPanelSelection`
    `(package private) Fcmd` | `main`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdKeyActions(Fcmd parent)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### main

          final Fcmd main

    - #### keyExecuteInJcmd

          int keyExecuteInJcmd

    - #### keyExecuteAsJavaClass

          int keyExecuteAsJavaClass

    - #### keyExecuteInShellOpened

          int keyExecuteInShellOpened

    - #### keyExecuteInShell

          int keyExecuteInShell

    - #### keyExecuteStartProcess

          int keyExecuteStartProcess

    - #### keyPanelSelection

          int keyPanelSelection

    - #### keyCreateFavorite

          int keyCreateFavorite

    - #### keyEntryDir

          int keyEntryDir

      Show files in the current selected dir. Entry in the directory.

    - #### keyLeaveDir

          int keyLeaveDir

      Show files in the parent dir, like cd ..

  - ### Constructor Detail

    - #### FcmdKeyActions

          FcmdKeyActions(Fcmd parent)